<?php


session_start();

date_default_timezone_set('America/Lima');
$script_tz = date_default_timezone_get();


include "verifica.php";
include("../conexion.php");
include "correlativos.php";
include "validaciones.php";

@$xid=$_REQUEST['xid_caja'];
@$xordcom_codi=$_REQUEST['xordcom_codi_fk'];

@$xaccion=$_REQUEST['xaccion_caja'];
@$xestado=$_REQUEST['xestado'];
@$xprd_codi=$_REQUEST['xprd_codi'];
@$xopealmdet_codi=$_REQUEST['xopealmdet_codi'];
@$xunimed_codi=$_REQUEST['xunimed_codi'];
@$xopealmdet_precio=$_REQUEST['xopealmdet_precio'];
@$xopealmdet_cantidad=$_REQUEST['xopealmdet_cantidad'];
@$xanotaciones=$_REQUEST['xanotaciones'];
@$xnro_documento=$_REQUEST['xnro_documento'];
@$xdocumento=$_REQUEST['xdocumento'];
@$xmonto=$_REQUEST['xmonto_caja'];
@$xusuario_sesion=$_SESSION['nombre_usuario'];

@$xanotaciones_caja=$_REQUEST['xanotaciones_caja'];


@$xfecha=$_REQUEST['xfecha_caja'];
@$xproveedor=$_REQUEST['xproveedor_caja'];
@$xpagotipo=$_REQUEST['xpagotipo_caja'];
@$xmediopago=$_REQUEST['xmediopago'];

@$xidtrans=$_REQUEST['xidtrans_caja'];

@$xcuentacontable=$_REQUEST['xcuentacontable'];

$cajcom = new Cajacompras;



switch($xaccion){
		
	case "modificar": 
		if($cajcom->modificar($conexion)==1){
			//echo "modificar";						
			?>
			<script language="javascript">
			alert("Los cambios han sido guardados satisfactoriamente.");			
			//xop=parent.parent.document.getElementById('xop').value;
			//parent.parent.location.href="../caja.php";
			
			parent.document.getElementById('frame_compras_caja').src='compras_caja.php?xordcom_codi=<?php echo $xordcom_codi;?>';
			parent.parent.accion_compras('cerrar_nueva_operacion_caja');
		
			</script>			
			<?php

		}		
		break;
	
	case "eliminar":
		if($adet->eliminar($conexion)==1){
			//echo "eliminar";
			?>			
			<script language="javascript">
			//alert("Item eliminado satisfactoriamente.")
			//parent.parent.document.getElementById('frame_compras_detalle').src = "compras_detalle_temporal.php";
			
			//alert("essss");
			
			parent.parent.document.getElementById('frame_almacen_detalle').src = "almacen_detalle_temporal.php?xidtrans=<?php echo $xidtrans;?>";				
			</script>			
			<?php
			
		}		
		break;
				
	case "guardar_nuevo_caja_compra":
		if($cajcom->guardar_nuevo_caja_compra($conexion)==1){
			//echo "guardar_unidad";
			?>			
			<script language="javascript">
			alert("Operacion de caja guardada satisfactoriamente.")
			parent.document.getElementById('frame_compras_caja').src='compras_caja.php?xordcom_codi=<?php echo $xordcom_codi;?>';
			parent.parent.accion_compras('cerrar_nueva_operacion_caja');			

			</script>			
			<?php			
		}		
		break;						
		
	case "generar_idtrans":
		if($cajcom->generar_idtrans($conexion)==1){
			//echo "generar_idtrans";
			?>			
			<script language="javascript">
			//alert("idtrans generado satisfactoriamente.")
			//parent.parent.document.getElementById('frame_compras_detalle').src = "compras_detalle_temporal.php";	
			</script>			
			<?php
			
		}		
		break;		

	case "activar":
		if($cajcom->activar($conexion)==1){
			?>			
			<script language="javascript">
			
			//alert("aaa: <?php echo $xordcom_codi;?>");
			
			resp2=confirm("El estado del registro ha sido cambiado satisfactoriamente. Desea actualizar la pagina?");		
			if(resp2){		
				//buscar();				
				parent.parent.document.getElementById('frame_compras_caja').src='compras_caja.php?xordcom_codi=<?php echo $xordcom_codi;?>';				
				
			}	

			
			</script>			
			<?php
			
		}		
		break;




}


	
//$xid=$_REQUEST['xid'];
// echo "DEBE GUARDAR.".$xid;
//include("../conexion.php");


class Cajacompras{

	//Guarda Modificaciones de operaci�n de caja
	function modificar($conexion){
	
		global $xid,$xprc_codi,$xordpeddet_codi,$xordpeddet_precio,$xfecha,$xproveedor,$xpagotipo,$xidtrans,$xanotaciones,$xdocumento,$xnro_documento,$xmonto, $xusuario_sesion,$xmediopago, $xcuentacontable, $xanotaciones_caja;
				
		//$xanotaciones = eregi_replace("[\n|\r|\n\r]", ' ', $xanotaciones);
		$xanotaciones_caja = preg_replace("[\n|\r|\n\r]", ' ', $xanotaciones_caja);					
	
		$r2=mysqli_query($conexion,"UPDATE operacion_caja set opecaj_anotaciones='$xanotaciones_caja',
														opecaj_monto='$xmonto',
														medpag_codi_fk='$xmediopago',
														opecaj_usu_modifica = '$xusuario_sesion',
														cc_codi_fk = '$xcuentacontable'														
												WHERE opecaj_codi=$xid;");																						
		
		if($r2){	
					
			return 1;
		
		}			
	}	
	




	//Elimina
	function eliminar($conexion){
		global $xid,$xprc_codi,$xopealmdet_codi;		

		$r = mysqli_query($conexion,"delete from temporal_operacion_almacen_detalle where opealmdet_codi = $xopealmdet_codi;");
		
		if($r){		
			return 1;
		}	
	}		




	//Guarda nuevo caja
	function guardar_nuevo_caja_compra($conexion){
	
		global $xid,$xprc_codi,$xopealmdet_codi,$xfecha,$xproveedor,$xpagotipo,$xidtrans,$xanotaciones,$xnro_documento,$xdocumento,$xmonto, $xusuario_sesion, $xordcom_codi, $xmediopago, $cor, $vali, $xcuentacontable, $xanotaciones_caja;					
				
		$correlativo = $cor->caja($conexion);				
		$xcaj_codi = $vali->caja_abierta($conexion);
		

		$s_empresa = $_SESSION['s_empresa'];		
		
		$xfechahora = date('Y-m-d H:i:s');
		
		//$xanotaciones = eregi_replace("[\n|\r|\n\r]", ' ', $xanotaciones);	
		$xanotaciones_caja = preg_replace("[\n|\r|\n\r]", ' ', $xanotaciones_caja);							
		
		$r2=mysqli_query($conexion,"INSERT INTO operacion_caja (opecaj_fechahora,
																		opecaj_fecha,
																		opecaj_numero,																		
																		per_codi_fk,
																		opecajtip_codi_fk,																		
																		opecaj_anotaciones,
																		opecaj_monto,
																		medpag_codi_fk,
																		opecaj_usu_crea,
																		idtrans,
																		caj_codi_fk,
																		emp_codi_fk,
																		cc_codi_fk) 
																VALUES('$xfechahora',
																		'$xfecha',
																		'$correlativo',
																		$xproveedor,
																		$xpagotipo,
																		'$xanotaciones_caja',
																		$xmonto,
																		$xmediopago,
																		'$xusuario_sesion',
																		'$xidtrans',
																		'$xcaj_codi',
																		$s_empresa,
																		'$xcuentacontable');");
		
		if($r2){		
		
			$r4=mysqli_query($conexion,"SELECT * FROM operacion_caja o WHERE idtrans = '$xidtrans';");
			while($row4=mysqli_fetch_array($r4)){
				$xopecaj_codi_fk = $row4['opecaj_codi'];
			}
		
		
			?>			
			<script language="javascript">
			//alert("VAMONOSSS1...!!! - <?php echo $xfecha;?> - <?php echo $xproveedor;?> - <?php echo $xpagotipo;?> - <?php echo $xmonto;?> - <?php echo $xusuario_sesion;?>  - <?php echo $xidtrans;?> - <?php echo $xopecaj_codi_fk;?> - <?php echo $xordped_codi;?> ");
			//parent.location.href="../caja.php";
			</script>			
			<?php			
		
			$xfechahora = date('Y-m-d H:i:s');				
		
			$r3=mysqli_query($conexion,"INSERT INTO orden_compra_caja (ordcomcaj_fechahora,
																			ordcom_codi_fk,
																			opecaj_codi_fk) 
																	VALUES('$xfechahora',
																			$xordcom_codi,
																			$xopecaj_codi_fk);");				
		
			if($r3){
					
				return 1;
			}
			
		}		
	}		







	//Activa operacion de caja
	function activar($conexion){
		global $xestado, $xaccion, $xid, $xusuario_sesion;			

		$r = mysqli_query($conexion,"update operacion_caja set opecaj_estado = $xestado,
															   opecaj_usu_activa = '$xusuario_sesion'															    
															where opecaj_codi = $xid;");
		
		if($r){		

			return 1;
		}		
	}	



	//Generar Idtrans	
	function generar_idtrans(){
							
		$nu = "9999999999"; 
		$xnu = time().rand(1,$nu);
		
		?>			
		<script language="javascript">
		parent.document.getElementById('xidtrans_caja').value = "<?php echo $xnu; ?>";
		//alert("generado");
		</script>			
		<?php
		
		return 1;	

	}



}








?>

